const sequelize = require('../db');
const {DataTypes} = require('sequelize');

const AFKProperty = sequelize.define('afkproperty', {
    ownerId: {
        type: DataTypes.INTEGER,
        allowNull: false
    },
    name: {
        type: DataTypes.STRING,
        allowNull: false
    },
    level: {
        type: DataTypes.INTEGER,
        defaultValue: 1
    },
    materials: {
        type: DataTypes.INTEGER,
        defaultValue: 100
    },
    balance: {
        type: DataTypes.INTEGER,
        defaultValue: 0
    },
    vip: {
        type: DataTypes.BOOLEAN,
        defaultValue: false
    }
})

module.exports = AFKProperty;
